.ReviewStar {
    --star-outline-color: var(--secondary-dark-color);

    // reset from input default styles
    display: inline;
    padding: 0 7px 0 0;
    border: 0;
    margin: 0;
    color: $white;
    background: none;

    font-size: 17px;
    line-height: 1;
    letter-spacing: 3px;

    transition: color 150ms ease-in;
    cursor: pointer;

    &::after {
        font-family: serif;
        content: url('../../style/images/rating_star.svg');
    }

    &:checked,
    &:hover,
    &[checked],
    &:checked ~ input,
    &:hover ~ input,
    &[checked] ~ input {
        &::after {
            content: url('../../style/images/rating_star_filled.svg');
        }
    }

    &:focus {
        border: 0;
    }
}
